com.microfocus.awm.meta.modelextension

## Class LinkedPropertyExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.LinkedPropertyExtension

-     public class LinkedPropertyExtension
      extends ModelExtensionObject

  Parses property of a property provider.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedPropertyExtension(java.lang.String pId, java.lang.String pLabel, java.lang.String pCategory, PropertyProviderExtension pProvider, boolean pRequiresResourceID, boolean pCanSetValue, java.lang.String pBooleanTrueValue, java.lang.String pBooleanFalseValue, ETypes pType)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSetValue()` Gets whether the property provider can set values for this property.
    `java.lang.String` | `getCategory()` Gets the category of the property.
    `java.lang.String` | `getFalseValue()` Gets the `false` value of the linked property.
    `PropertyProviderExtension` | `getProvider()` Gets the property provider extension.
    `ModelPropertyExtension` | `getResourceIdentifierProperty()` Gets the referenced resource identifier `ModelPropertyExtension`.
    `java.lang.String` | `getTrueValue()` Gets the `true` value of the linked property.
    `ETypes` | `getType()` Gets the type of the linked property.
    `boolean` | `isRequiresResourceIdentifier()` Gets whether the property requires a resource identifier to be resolved.
    `void` | `setResourceIdentifierProperty(ModelPropertyExtension pModelProperty)` Sets the resource identifier `ModelPropertyExtension`.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkedPropertyExtension

          public LinkedPropertyExtension(java.lang.String pId,
                                         java.lang.String pLabel,
                                         java.lang.String pCategory,
                                         PropertyProviderExtension pProvider,
                                         boolean pRequiresResourceID,
                                         boolean pCanSetValue,
                                         java.lang.String pBooleanTrueValue,
                                         java.lang.String pBooleanFalseValue,
                                         ETypes pType)

      Basic constructor.
      Parameters:
        `pId` - the ID
        `pLabel` - the label
        `pCategory` - The category of the property. Will create a sub menu in the model editor at runtime (in the "New Child" context menu). Properties with the same category will be added to the same sub menu.
        `pProvider` - the `PropertyProviderExtension`
        `pRequiresResourceID` - Whether a resource identifier is mandatory for resolving the property value.
        `pCanSetValue` - Whether the property provider can set the value of this property.
        `pBooleanTrueValue` - true value. Can be `null`.
        `pBooleanFalseValue` - false value. Can be `null`.
        `pType` - type of the linked property

  - ### Method Detail

    - #### getType

          public ETypes getType()

      Gets the type of the linked property.
      Returns:
        the property type
      See Also:
        `Property.getType()`

    - #### getTrueValue

          public java.lang.String getTrueValue()

      Gets the `true` value of the linked property. Only relevant, if the property type is `ETypes.BOOLEAN`.
      Returns:
        the boolean `true` value. Can be `null` if not explicitly set.
      See Also:
        `Property.getTrueValue()`

    - #### getFalseValue

          public java.lang.String getFalseValue()

      Gets the `false` value of the linked property. Only relevant, if the property type is `ETypes.BOOLEAN`.
      Returns:
        the boolean `false` value. Can be `null` if not explicitly set.
      See Also:
        `Property.getFalseValue()`

    - #### getCategory

          public java.lang.String getCategory()

      Gets the category of the property.
      Returns:
        the category or `null` if no category was specified

    - #### isRequiresResourceIdentifier

          public boolean isRequiresResourceIdentifier()

      Gets whether the property requires a resource identifier to be resolved.
      Returns:
        `true` if the property requires a resource identifier to be resolved.

    - #### getProvider

          public PropertyProviderExtension getProvider()

      Gets the property provider extension.
      Returns:
        the provider

    - #### canSetValue

          public boolean canSetValue()

      Gets whether the property provider can set values for this property.
      Returns:
        `true` if the provider is able to set values for this property, otherwise `false`

    - #### setResourceIdentifierProperty

          public void setResourceIdentifierProperty(ModelPropertyExtension pModelProperty)

      Sets the resource identifier `ModelPropertyExtension`.
      Parameters:
        `pModelProperty` - the model property extension to be referenced

    - #### getResourceIdentifierProperty

          public ModelPropertyExtension getResourceIdentifierProperty()

      Gets the referenced resource identifier `ModelPropertyExtension`.
      Returns:
        the resource identifier property extension or `null`, if the reference has not been set or was invalid

Copyright © 2015 Micro Focus GmbH. All rights reserved.